Bug 1879804 - Possible race between monitoring and snapshot merge, leading to wrong block threshold and VM paused
Summary: Possible race between monitoring and snapshot merge, leading to wrong block t...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 4.2.8
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.4.6
: ---
Assignee: Benny Zlotnik
QA Contact: Shir Fishbain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-17 05:15 UTC by Germano Veit Michel
Modified: 2021-05-19 16:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-15 06:29:40 UTC
oVirt Team: Storage
Target Upstream Version:
bzlotnik: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5418091 0 None None None 2020-09-21 01:36:41 UTC

Description Germano Veit Michel 2020-09-17 05:15:53 UTC
Description of problem:

Seen this just once, not able to find related bug or change in VDSM.

It seems that monitoring runs just before a merge finishes and sets the device threshold for extension to a value that is only valid for
the previous active volume. For the new active value the value does not make sense, but the value is enough to trigger an extension
event and VDSM pauses the VM, as the request makes no sense.

Version-Release number of selected component (if applicable):
vdsm-4.20.48-1.el7ev

How reproducible:
Unknown

Comment 3 Eyal Shenitzky 2020-09-21 14:16:41 UTC
Benny, can you please have a look?

Comment 4 Eyal Shenitzky 2021-04-15 06:29:40 UTC
Live merge flow changed in 4.4.6.
Closing this bug, please reopen if you encounter it again.


Note You need to log in before you can comment on or make changes to this bug.